/**
* Game
* Game scene
*
* (c) 2017 Jani Nykänen
*/

#ifndef __APPLICATION__GAME_SCENE__
#define __APPLICATION__GAME_SCENE__

#include "../scene.hpp"
#include "player.hpp"
#include "hud.hpp"
#include "stage.hpp"

namespace Application
{

class Game : public Scene, protected HUD, protected Stage
{
private:
    //! Player @todo Move to "GameObjects", maybe?
    Player* pl;

public:

    void Init();
    void OnLoaded(Engine::Assets* ass);
    void Update(float timeMod);
    void Draw(Engine::Graphics* g);
    void Destroy();

    Game();
};

};

#endif // __APPLICATION__GAME_SCENE__

