/**
* Game
* HUD
*
* (c) 2017 Jani Nykänen
*/

#ifndef __APPLICATION__GAME_HUD__
#define __APPLICATION__GAME_HUD__

#include "../../Engine/Renderer/mesh.hpp"
#include "../../Engine/Renderer/bitmap.hpp"
#include "../../Engine/Renderer/graphics.hpp"
#include "../../Engine/Loader/asset_loader.hpp"

namespace Application
{
class HUD
{
private:

    float frameRate;

protected:

    Engine::Bitmap* bmpFont16;
    Engine::Bitmap* bmpCrosshair;

    void InitHUD(Engine::Assets* ass);
    void DrawHUD(Engine::Graphics* g);
    void UpdateHUD(float timeMod);

};
}

#endif // __APPLICATION__GAME_HUD__
