/**
* Player object
* @todo Make Actor class and make Player to extend it
*
* (c) 2017 Jani Nykänen
*/

#ifndef __APPLICATION__PLAYER__
#define __APPLICATION__PLAYER__

#include "../../Engine/Camera/first_person.hpp"
#include "../control_state.hpp"
#include "../vpad.hpp"

#include "actor.hpp"

#define M_PI 3.14159265359

namespace Application
{
class Player : public Actor
{
private:

    //! Da most informing name ever
    float wave;

    void Control(float timeMod);
    void Waves(float timeMod);

    glm::vec3 startPos;

public:

    Player(glm::vec3 nPos = glm::vec3());

    void OnUpdate(float timeMod);
    void UpdateCamera(Engine::Camera1stPerson& cam);

};
}

#endif // __APPLICATION__PLAYER__
