/**
* Engine
* First-person camera
*
* (c) 2017 Jani Nykänen
*/

#ifndef __ENGINE__CAMERA__
#define __ENGINE__CAMERA__

#define GLM_FORCE_RADIANS
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>

namespace Engine
{

class Camera
{
protected:

    glm::vec3 pos;
    glm::vec3 lookAt;

public:

    virtual glm::mat4 GetViewMatrix() {return glm::mat4(1.0f); };
};

}

#endif // __ENGINE__CAMERA__

