/**
* Engine
* Simple types: Point
*
* (c) 2017 Jani Nykänen
*/

#ifndef __ENGINE__TYPE_POINT__
#define __ENGINE__TYPE_POINT__

struct Point
{
    int x;
    int y;
    inline Point(int tx, int ty) {x=tx; y = ty;};
    inline Point(){x=0;y=0;};

    inline bool operator== (Point p)
    {
        return (p.x == x && p.y == y);
    }
};

#endif // __ENGINE__TYPE_POINT__
