/**
* Engine
* Math utility
*
* (c) 2017 Jani Nykänen
*/

#ifndef __ENGINE__MATH__
#define __ENGINE__MATH__

#include <cmath>

#define GLM_FORCE_RADIANS
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>

namespace Engine
{
namespace Math
{
bool IsInsideTriangleXZ(glm::vec3 P, glm::vec3 A, glm::vec3 B, glm::vec3 C);
bool IsInsideTriangleXY(glm::vec3 P, glm::vec3 A, glm::vec3 B, glm::vec3 C);
bool IsInsideTriangleYZ(glm::vec3 P, glm::vec3 A, glm::vec3 B, glm::vec3 C);
}
}

#endif // __ENGINE__MATH__
