/**
* Engine
* Simple types: Color
*
* (c) 2017 Jani Nykänen
*/

#ifndef __ENGINE__TYPE_COLOR__
#define __ENGINE__TYPE_COLOR__

struct Color
{
    float r;
    float g;
    float b;
    float a;

    inline Color(unsigned char nr, unsigned char ng, unsigned char nb, unsigned char na = 255)
    {
        r = (float)nr / 255.0f;
        g = (float)ng / 255.0f;
        b = (float)nb / 255.0f;
        a = (float)na / 255.0f;
    }


    inline Color(float nr, float ng, float nb, float na = 1.0f)
    {
        r = nr;
        g = ng;
        b = nb;
        a = na;
    }
};

#endif // __ENGINE__TYPE_COLOR__

